Get Account
curl --request GET \
--url https://api.openxswitch.com/v2/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openxswitch.com/v2/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openxswitch.com/v2/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "47900010-7a2f-487e-9d38-3fd790fc13dc",
"name": "OX App",
"type": "SETTLEMENT",
"state": "LIVE",
"network": "mainnet",
"evmDetails": {
"address": "0x1234567890123456789012345678901234567890",
"refId": "d34e1fa1-5313-4909-a707-a6c8c2bc9578"
},
"solanaDetails": {
"address": "0x1234567890123456789012345678901234567890",
"refId": "d34e1fa1-5313-4909-a707-a6c8c2bc9578"
},
"workspaceId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"createdAt": "2025-04-02T17:20:42.160Z",
"updatedAt": "2025-04-02T17:20:42.160Z"
}
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}Accounts
Get Account
Retrieve details of an existing account.
GET
/
v2
/
accounts
Get Account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The unique identifier of the Account
Example:
"123e4567-e89b-12d3-a456-426614174000"
⌘I
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=062e79ad9c4540929eec204aff020178)
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=f6328956931c9664a2a070c2edb6e9b3)